Skip to main content
POST
TypeScript SDK

Authorizations

Authorization
string
header
required

Enter ApiKey <your-api-key> in Authorization, including the ApiKey prefix. In cURL and Python samples, <api-key> means this full value. The TypeScript SDK adds the prefix for you.

Path Parameters

runId
string
required

Pipeline run ID with prefix plr..

Pattern: ^plr\.[0-9a-f]{8}-[0-9a-f]{4}-[7][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Body

application/json

Which awaiting reviews of the run to accept, and how many the user confirmed.

expectedCount
integer
required

How many awaiting reviews the user confirmed accepting. When a different number awaits a decision now, nothing is accepted.

Required range: x <= 9007199254740991
nodeId
string

Only accept the reviews of this generation node.

Response

The reviews are queued to be accepted

The awaiting reviews queued to be accepted in the background.

count
integer
required

Number of reviews queued to be accepted.

Required range: x <= 9007199254740991